Im running Mac OS X Version 10.5.8 must I purchase Snow Leopard to update my Safari Browser?

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Do Software Update under the Apple Menu. This should update Safari to the latest version supported by your OS and your Mac.

    To get more recent versions of Safari, you will need to update your OS.
    (Note: If your Mac is based on the PowerPC processor and not the Intel processor, OS 10.6 and later can not be installed.)

    I think the following information is current, and shows the highest version of Safari that is compatible with each OS . . .

    Safari 7.1 (OS X 10.9.4)
    Safari 6.2 (OS X 10.8.5)
    Safari 6.1.6 (OS X 10.7.5)
    Safari 5.1.10 (OS X 10.6.8)
    Safari 5.0.6 (OS X 10.5.8)
    Safari 4.1.3 (OS X 10.4.11)

    Was this useful? Answer 1

    31 of 45 people found this useful

Related Questions